Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.charfilter
Class NormalizeCharMap

    java.lang.Object
      org.apache.lucene.analysis.charfilter.NormalizeCharMap

    public class NormalizeCharMap

extends Object

Holds a map of String input to String output, to be used with `MappingCharFilter`. Use the `NormalizeCharMap.Builder` to create this.

Nested Class Summary
`static class` | `NormalizeCharMap.Builder` Builds an NormalizeCharMap.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.